ExifDataView

ExifDataView v1.15
Copyright (c) 2012 - 2022 Nir Sofer
Web site: https://www.nirsoft.net

Description

ExifDataView is a small utility that reads and displays the Exif data stored inside .jpg image files generated by digital cameras. The EXIF data includes the name of the company created the camera, camera model, the date/time that the photograph was taken, Exposure Time, ISO Speed, GPS information (for digital cameras with GPS), and more.

System Requirements

  • This utility works on any version of Windows, starting from Windows 2000 and up to Windows 11.

Versions History

  • Version 1.15:
    • Added /GoogleMaps command-line option, to open the location of the specified .jpg file in Google Maps.
    • Added new option: 'Explorer Context Menu - Open In ExifDataView'. If you turn on this option, 'Open In ExifDataView' menu item is added to the context menu of .jpg files.
    • Added new option: 'Explorer Context Menu - Open In Google Maps'. If you turn on this option, 'Open In Google Maps' menu item is added to the context menu of .jpg files.
  • Version 1.11:
    • Fixed to read .jpg files that their EXIF information is not in the beginning of the file.
  • Version 1.10:
    • Added 'Open Location In Google Maps' option. This option is available for .jpg image files with GPS information (Geo-tagging). When there are Geo-tagging properties (GpsLatitude and GpsLongitude), this option allows you to easily open the location in Google Maps.
    • Added 'New ExifDataView Instance' under the File menu, for opening a new window of ExifDataView.
  • Version 1.06:
    • Fixed bug: ExifDataView displayed incorrect GPS Latitude/Longitude values.
  • Version 1.05:
    • Added support for CR2 raw files.
  • Version 1.03:
    • Added option to choose another font (name and size) to display in the main ListView.
  • Version 1.02:
    • Fixed bug: image with specific EXIF structure caused ExifDataView to hang or to crash.
  • Version 1.01:
    • Fixed to display properly the values of GpsLatitude and GpsLongitude.
  • Version 1.00 - First release.

Start Using ExifDataView

ExifDataView doesn't require any installation process or additional dll files. In order to start using it, simply run the executable file - ExifDataView.exe
After running ExifDataView.exe, you can open a .jpg file by using the 'Open File' option (Ctrl+O) or by dragging the .jpg file from Explorer into the main window of ExifDataView. After opening the .jpg file, the list of all Exif properties are displayed in the upper pane of ExifDataView. When selecting a single Exif property on the upper pane, the lower pane displays the content of the selected property as Hex Dump.

You can also select one or more Exif properties in the upper pane, and then copy them to the clipboard and paste them into Excel, or save them into text/csv/xml/html file by using the 'Save Selected Items' option (Ctrl+S)

Command-Line Options

/LoadFile <Jpeg Filename> | Load the specified .jpg file into ExifDataView.
/GoogleMaps <Jpeg Filename> | Open the location of the specified .jpg file in Google Maps.
/stext <Filename> | Save the Exif properties list into a regular text file.
/stab <Filename> | Save the Exif properties list into a tab-delimited text file.
/scomma <Filename> | Save the Exif properties list into a comma-delimited text file (csv).
/stabular <Filename> | Save the Exif properties list into a tabular text file.
/shtml <Filename> | Save the Exif properties list into HTML file (Horizontal).
/sverhtml <Filename> | Save the Exif properties list into HTML file (Vertical).
/sxml <Filename> | Save the Exif properties list into XML file.

Translating ExifDataView to other languages

In order to translate ExifDataView to other language, follow the instructions below:
  1. Run ExifDataView with /savelangfile parameter:
    ExifDataView.exe /savelangfile
    A file named ExifDataView_lng.ini will be created in the folder of ExifDataView utility.
  2. Open the created language file in Notepad or in any other text editor.
  3. Translate all string entries to the desired language. Optionally, you can also add your name and/or a link to your Web site. (TranslatorName and TranslatorURL values) If you add this information, it'll be used in the 'About' window.
  4. After you finish the translation, Run ExifDataView, and all translated strings will be loaded from the language file.
    If you want to run ExifDataView without the translation, simply rename the language file, or move it to another folder.

License

This utility is released as freeware. You are allowed to freely distribute this utility via floppy disk, CD-ROM, Internet, or in any other way, as long as you don't charge anything for this and you don't sell it or distribute it as a part of commercial product. If you distribute this utility, you must include all files in the distribution package, without any modification !

Disclaimer

The software is provided "AS IS" without any warranty, either expressed or implied, including, but not limited to, the implied warranties of merchantability and fitness for a particular purpose. The author will not be liable for any special, incidental, consequential or indirect damages due to loss of data or any other reason.

Feedback

If you have any problem, suggestion, comment, or you found a bug in my utility, you can send a message to nirsofer@yahoo.com